<!-- markdownlint-disable MD013 MD024 -->
# Changes CompatInfo 7.x

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html),
and is generated by [Changie](https://github.com/miniscruff/changie).

## 7.1.0 - 2024-01-01

> **WARNING**
>
> As PHP 8.0 is still supported, database of CompatInfoDB (v5.14) is outdated and does not contain recent PHP 8.3 elements.
>
> But source code that implement PHP 8.3 new features may be detected !

### Added

- PHP 8.3.0 support
- Docker support with official image : <https://github.com/llaville/php-compatinfo/pkgs/container/php-compatinfo>
- Compatibility with Symfony Components v7

**Full Changelog**: [7.0.3...7.1.0](https://github.com/llaville/php-compatinfo/compare/7.0.3...7.1.0)

## 7.0.3 - 2023-12-30

### Fixed

- Print wrong link on about command output
- Allow to use the db:new command from CompatInfoDB 6.1.x

**Full Changelog**: [7.0.2...7.0.3](https://github.com/llaville/php-compatinfo/compare/7.0.2...7.0.3)

## 7.0.2 - 2023-12-06

### Changed

- update `bartlett/php-compatinfo-db` constraint
- `bartlett/graph-uml` dev dependency was removed and replaced by phar artifact version download with the GH gh-pages workflow

**Full Changelog**: [7.0.1...7.0.2](https://github.com/llaville/php-compatinfo/compare/7.0.1...7.0.2)

## 7.0.1 - 2023-11-14

### Changed

- CompatInfo 7.0.1 will be the last version to support PHP 8.0; 8.1 and 8.2 will be accepted but not 8.3
- `tests/bootstrap.php` file to prevent PHPUnit to failed with error if database is not built and populate (launch auto diagnose)

### Fixed

- Misunderstood the [RFC](https://wiki.php.net/rfc/same-site-cookie). The first suggestion with additional argument was never implemented
- [#363](https://github.com/llaville/php-compatinfo/issues/363) : PHP 8.2 features support

**Full Changelog**: [7.0.0...7.0.1](https://github.com/llaville/php-compatinfo/compare/7.0.0...7.0.1)

## 7.0.0 - 2023-05-12

### Changed

- add support for PHP CompatInfoDB 5.0
- raise `psr/log` constraint for v3 support

### Removed

- drop support for PHP 7
- drop support for Symfony 4 and allow Symfony 6 support

**Full Changelog**: [6.5.5...7.0.0](https://github.com/llaville/php-compatinfo/compare/6.5.5...7.0.0)
