<!-- markdownlint-disable MD013 MD024 -->
# Changes CompatInfoDB 5.x

All notable changes of the CompatInfoDB 5 release series will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html),
and is generated by [Changie](https://github.com/miniscruff/changie).

## 5.14.1 - 2023-11-28

### Fixed

- Doctrine ORM Lazy ghost objects feature fixed for PHP 8.0 compatibility

**Full Changelog**: [5.14.0...5.14.1](https://github.com/llaville/php-compatinfo-db/compare/5.14.0...5.14.1)

## 5.14.0 - 2023-11-28

### Added

- PHP 8.1.26 support
- PHP 8.2.13 support
- new DI container parameter `compat_info_db.version`

### Changed

- Disable output of test execution progress when running doctor command with tests
- `bartlett/graph-uml` dev dependency was removed and replaced by phar artifact version download with the GH gh-pages workflow

### Fixed

- Removed `ZipArchive::LENGTH_TO_END` libzip condition (thanks to @remicollet to clarify situation)
- prevent infrastructure error by running auto diagnose on doctor command
- Prevent `Event dispatcher "event_dispatcher" is not available.` error when running `debug:event-dispatcher` command
- removed some deprecations with Doctrine ORM

**Full Changelog**: [5.13.0...5.14.0](https://github.com/llaville/php-compatinfo-db/compare/5.13.0...5.14.0)

## 5.13.0 - 2023-11-13

### Added

- `tests/bootstrap.php` file to prevent PHPUnit to failed with error if database is now built and populate (launch auto diagnose)

### Changed

- update APCu reference to version 5.1.23
- update ast reference to version 1.1.1
- CompatInfoDB 5.13 will be the last version to support PHP 8.0; 8.1 and 8.2 will be accepted but not 8.3

**Full Changelog**: [5.12.0...5.13.0](https://github.com/llaville/php-compatinfo-db/compare/5.12.0...5.13.0)

## 5.12.0 - 2023-11-10

### Added

- new Random extension (PHP 8.2 feature)
- support to new `opentelemetry` extension

### Removed

- `symfony/finder` is only required by `symfony/framework-bundle` which is a dev requirement

**Full Changelog**: [5.11.0...5.12.0](https://github.com/llaville/php-compatinfo-db/compare/5.11.0...5.12.0)

## 5.11.0 - 2023-11-01

### Added

- `db:list` command is now able to show outdated references only depending on your platform
- `db:list` command is now able to show installed references only depending on your platform
- `db:list` command is now able to show references in raw format when debug mode is active
- PHP 8.1.25 support
- PHP 8.2.12 support

### Changed

- update http reference to version 4.2.4
- update amqp reference to version 2.1.1
- update redis reference to version 6.0.2

### Fixed

- link to documentation on about command
- `PlatformHydrator` is now completed with `hydrate` method implementation

**Full Changelog**: [5.10.0...5.11.0](https://github.com/llaville/php-compatinfo-db/compare/5.10.0...5.11.0)

## 5.10.0 - 2023-10-01

### Added

- support to major release Redis 6
- PHP 8.1.24 support
- PHP 8.2.11 support

### Changed

- update amqp reference to support version 2.1.0

**Full Changelog**: [5.9.0...5.10.0](https://github.com/llaville/php-compatinfo-db/compare/5.9.0...5.10.0)

## 5.9.0 - 2023-09-06

### Added

- PHP 8.1.23 support
- PHP 8.2.10 support

**Full Changelog**: [5.8.0...5.9.0](https://github.com/llaville/php-compatinfo-db/compare/5.8.0...5.9.0)

## 5.8.0 - 2023-08-30

### Added

- PHP 8.0.30 support
- PHP 8.1.22 support
- PHP 8.2.9 support
- Amqp support to major version 2.0

### Changed

- mailparse reference updated to version 3.1.5
- update Xdebug reference to version 3.2.2
- update Zip reference to version 1.22.2
- update Mailparse reference to version 3.1.6

**Full Changelog**: [5.7.0...5.8.0](https://github.com/llaville/php-compatinfo-db/compare/5.7.0...5.8.0)

## 5.7.0 - 2023-07-12

### Added

- PHP 8.1.21 support
- PHP 8.2.8 support

### Changed

- zip reference updated to version 1.22.1

**Full Changelog**: [5.6.0...5.7.0](https://github.com/llaville/php-compatinfo-db/compare/5.6.0...5.7.0)

## 5.6.0 - 2023-06-25

### Added

- PHP 8.0.29 support
- PHP 8.1.20 support
- PHP 8.2.7 support

### Changed

- xlswriter reference updated to version 1.5.5
- msgpack reference updated to version 2.2.0

### Fixed

- Misunderstood the [RFC](https://wiki.php.net/rfc/same-site-cookie). The first suggestion with additional argument was never implemented.

**Full Changelog**: [5.5.0...5.6.0](https://github.com/llaville/php-compatinfo-db/compare/5.5.0...5.6.0)

## 5.5.0 - 2023-05-14

### Added

- PHP 8.2.6 support
- PHP 8.1.19 support

### Changed

- oci8 reference updated to version 3.2.1 (for PHP 8.1)
- oci8 reference updated to version 3.3.0
- add support to first stable version of ssh2 reference
- update memcache reference to version 8.2
- Related to issue <https://github.com/llaville/php-compatinfo/issues/359>, upgrade parameters setting of `setcookie` function

**Full Changelog**: [5.4.0...5.5.0](https://github.com/llaville/php-compatinfo-db/compare/5.4.0...5.5.0)

## 5.4.0 - 2023-04-17

### Added

- PHP 8.1.18 support
- PHP 8.2.5 support
- PHPUnit 10.1 support

**Full Changelog**: [5.3.0...5.4.0](https://github.com/llaville/php-compatinfo-db/compare/5.3.0...5.4.0)

## 5.3.0 - 2023-03-22

### Added

- PHP 8.1.17 support
- PHP 8.2.4 support

### Changed

- igbinary reference updated to version 3.2.14
- mcrypt reference updated to version 1.0.6
- xlswriter reference updated to version 1.5.4
- yaml reference updated to version 2.2.3
- xdebug reference updated to version 3.2.1

### Removed

- Clean-up Application code to display manifest at runtime (handled now by BOX Manifest v3 with custom stub)

**Full Changelog**: [5.2.0...5.3.0](https://github.com/llaville/php-compatinfo-db/compare/5.2.0...5.3.0)

## 5.2.0 - 2023-02-25

### Added

- PHP 8.0.28 support
- PHP 8.1.15 and 8.1.16 support
- PHP 8.2.2 and 8.2.3 support

### Changed

- igbinary reference updated to version 3.2.13

**Full Changelog**: [5.1.0...5.2.0](https://github.com/llaville/php-compatinfo-db/compare/5.1.0...5.2.0)

## 5.1.0 - 2023-01-09

### Added

- PHP 8.0.27 support
- PHP 8.1.14 support
- PHP 8.2.1 support

### Changed

- Xhprof reference updated to version 2.3.9

### Fixed

- minimum PHP requirement for CompatInfoDB version 5.x

**Full Changelog**: [5.0.0...5.1.0](https://github.com/llaville/php-compatinfo-db/compare/5.0.0...5.1.0)

## 5.0.0 - 2022-12-11

### Added

- PHP 8.2.0 support

### Changed

- Upgrade `psr/log` dependency by adding support to v3
- Xdebug reference updated to version 3.2.0 (stable)

### Removed

- Drop support for PHP 7
- Drop support for Symfony 4 and allow Symfony 6 support

**Full Changelog**: [4.10.0...5.0.0](https://github.com/llaville/php-compatinfo-db/compare/4.10.0...5.0.0)
