<!-- markdownlint-disable MD013 -->
# SARIF PHP SDK

| Stable |
|:------:|
| [![Latest Stable Version](https://img.shields.io/packagist/v/bartlett/sarif-php-sdk)](https://packagist.org/packages/bartlett/sarif-php-sdk) |
| [![Minimum PHP Version)](https://img.shields.io/packagist/php-v/bartlett/sarif-php-sdk)](https://www.php.net/supported-versions.php) |
| [![Branch master](https://img.shields.io/badge/branch-master-blue)](https://github.com/llaville/sarif-php-sdk) |
| [![Linters](https://github.com/llaville/sarif-php-sdk/actions/workflows/mega-linter.yml/badge.svg)](https://github.com/llaville/sarif-php-sdk/actions/workflows/mega-linter.yml) |

## Introduction

SARIF, the Static Analysis Results Interchange Format, defines a standard format for the output of static analysis tools.
It is a powerful and sophisticated format suited to the needs of a wide variety of tools.

## Specifications

The specification document for the Static Analysis Results Interchange Format (SARIF) version 2.1.0, in HTML format
is available [here](https://docs.oasis-open.org/sarif/sarif/v2.1.0/sarif-v2.1.0.html).

## View and validate your SARIF files

- [Upload and explore your SARIF file](https://sarifweb.azurewebsites.net/Validation)

## Documentation

All the documentation is available on [website](https://llaville.github.io/sarif-php-sdk),
generated from the [docs](https://github.com/llaville/sarif-php-sdk/tree/master/docs) folder.

- [Getting Started](docs/getting-started.md).
- API [Reference](docs/reference/) describes all SARIF objects with examples.

And also

- [Study the tutorials](https://github.com/microsoft/sarif-tutorials) from GitHub's Microsoft account.
